View Issue Details

IDProjectCategoryView StatusLast Update
0011897mantisbthtmlpublic2014-12-08 00:34
ReporterdhxAssigned Todhx 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.15 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0011897: Refactor footer of pages using XHTML/CSS and allow user-specified copyright notice
Description

The footer of each page is currently a bit of a mess using an old school table based layout.

The following changes would help improve the footer:

1) "Copyright MantisBT group" makes it sound like the content of the bug tracker is copyrighted by MantisBT when in fact it is just the software which is copyrighted. This should be changed to "Powered by MantisBT which is copyrighted by..." to remove the ambiguity.

2) Introduce a new (optional) $g_copyright_statement configuration option that allows users to specify in a single line the copyright and licensing status of the content of their bug trackers.

3) Add a new $g_show_memory_usage setting so that $g_show_time doesn't pull in the memory usage as well.

4) $g_show_queries_count should be properly separated from $g_show_queries_list. The count is just a number and doesn't cause any harm. The queries list could contain potentially sensitive information and thus is treated as a completely separate option from showing just the query count.

5) Use semantic XHTML markup for the footer with CSS styling (instead of the old table based layout).

TagsNo tags attached.

Relationships

related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 
has duplicate 0003024 closeddhx Querys do not show when g_show_queries_count is set to OFF 

Activities

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036485

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master 004e6927

2010-05-09 10:39:46

dhx

Details Diff
Issue 0011897: Refactor footer of pages using XHTML/CSS

The footer of each page is currently a bit of a mess using an old school
table based layout.

The following changes help improve the footer:

1) "Copyright MantisBT group" makes it sound like the content of the bug
tracker is copyrighted by MantisBT when in fact it is just the software
which is copyrighted. This should be changed to "Powered by MantisBT
which is copyrighted by..." to remove the ambiguity.

2) Introduce a new (optional) $g_copyright_statement configuration
option that allows users to specify in a single line the copyright and
licensing status of the content of their bug trackers.

3) Add a new $g_show_memory_usage setting so that $g_show_time doesn't
pull in the memory usage as well.

4) $g_show_queries_count should be properly separated from
$g_show_queries_list. The count is just a number and doesn't cause any
harm. The queries list could contain potentially sensitive information
and thus is treated as a completely separate option from showing just
the query count.

5) Use semantic XHTML markup for the footer with CSS styling (instead of
the old table based layout).
mod - config_defaults_inc.php Diff File
mod - core/html_api.php Diff File
mod - lang/strings_english.txt Diff File
mod - core/helper_api.php Diff File
mod - css/default.css Diff File

Issue History

Date Modified Username Field Change
2010-05-09 06:49 dhx New Issue
2010-05-09 06:49 dhx Status new => assigned
2010-05-09 06:49 dhx Assigned To => dhx
2010-05-09 06:51 dhx Changeset attached => MantisBT master 004e6927
2010-05-09 06:51 dhx Status assigned => resolved
2010-05-09 06:51 dhx Fixed in Version => 1.3.0-beta.1
2010-05-09 06:51 dhx Resolution open => fixed
2010-05-09 09:47 dhx Relationship added has duplicate 0003024
2010-09-19 03:12 dhx Status resolved => closed
2013-04-05 17:57 grangeway Status closed => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036485
2013-04-05 18:05 grangeway Relationship added related to 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2013-10-18 15:34 atrol Product Version 1.3.0-beta.1 => 1.2.15
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed